> For the complete documentation index, see [llms.txt](https://thxnet.gitbook.io/thxnet-developers-doc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://thxnet.gitbook.io/thxnet-developers-doc/reference/thxnet.-api/blockchain-networks-ids.md).

# Blockchain Networks' IDs

> A.k.a. BN ID

The identifiers of the blockchain networks in THXNET. are represented in an enumeration form.

```
MAINNET_ROOTCHAIN
TESTNET_ROOTCHAIN
MAINNET_LEAFCHAIN_THX
TESTNET_LEAFCHAIN_THX
MAINNET_LEAFCHAIN_LMT
TESTNET_LEAFCHAIN_LMT
MAINNET_LEAFCHAIN_TXD
TESTNET_LEAFCHAIN_TXD
TESTNET_LEAFCHAIN_SAND // TESTNET_LEAFCHAIN_SANDBOX
```

To specify the blockchain network in a URL, it must be turned into lower case, for example: `testnet_leafchain_sand`

And if the blockchain network is specified in HTTP header, then it can be both upper case or lower case.

### Example

#### URL (set the \<BN\_ID>)

`https://api.helpers.testnet.thxnet.org/rest/v0/my_id_wallet/testnet_leafchain_sand/ft`

`https://api.helpers.testnet.thxnet.org/rest/v0/my_id_wallet/testnet_leafchain_txd/ft`

#### HTTP Header

`THXNET-Blockchain-Network: TESTNET_LEAFCHAIN_SAND`

`THXNET-Blockchain-Network: TESTNET_LEAFCHAIN_THX`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://thxnet.gitbook.io/thxnet-developers-doc/reference/thxnet.-api/blockchain-networks-ids.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
